2012-12-05 1 views
5

Heute habe ich versucht, Google Maps API v2 für Android 2.3.3 Meine Schritte zu verwenden:Android 2.3 und Google Maps API v2

  • bekam SHA1-Code von debug.keystore
  • ein neues Projekt in Google erstellen apis Konsole
  • registrieren eine neue ID
  • google aktiviert Maps android api v2
  • erstellen ein android-Schlüssel als Eingabe SHA1; it.mappe (it.mappe ist mein Paket)
  • get-API-Schlüssel
  • Update AndroidManifest Datei:

<uses-permission android:name="it.mappe.permission.MAPS_RECEIVE" /> 
<uses-sdk android:minSdkVersion="10" android:targetSdkVersion="16" /> 

<uses-permission android:name="android.permission.INTERNET" /> 
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> 
<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /> 
<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /> 
<uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES"/> 

<uses-feature android:glEsVersion="0x00020000" android:required="true" />

<application  android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > 
    <meta-data 
     android:name="com.google.android.maps.v2.API_KEY" 
     android:value="MY_KEY" /> 

     <activity 
      android:name="it.mappe.MainActivity" 
      android:label="@string/app_name" > 
      <intent-filter> 
       <action android:name="android.intent.action.MAIN" /> 

       <category android:name="android.intent.category.LAUNCHER" /> 
      </intent-filter> 
     </activity> 
    </application> 
  • meine Haupttätigkeit

    public class MainActivity extends Activity { 
    @Override 
    protected void onCreate(Bundle savedInstanceState) { 
        super.onCreate(savedInstanceState); 
        setContentView(R.layout.main); 
    

    }

  • mein activity_main:

    Fragment xmlns: android = "http://schemas.android.com/apk/res/android" android: id = "@ + id/Karte“ android: layout_width = "match_parent" android: layout_height = "match_parent" class = "com.google.android.gms.maps.SupportMapFragment"/>

  • Kopie Verzeichnis ANDROID_SDK_DIR/Extras/google/google_play_services/libproject/g oogle-play-services_lib root Ihres Projekts

  • hinzufügen /extras/android/compatibility/v4/android-support-v4.jar als externe jar

  • nächste Zeile zu dem YOUR_PROJECT/Projekt hinzufügen. Eigenschaften android.library.reference.1 = google-play-services_lib

Wenn ich es auf meinem Samsung galaxy S laufen (mit google-Diensten apk spielen), es Crashs und logcat zeigt diese Fehler

E/AndroidRuntime(6435): FATAL EXCEPTION: main java.lang.RuntimeException: Unable to start activity ComponentInfo{it.mappe/it.mappe.MainActivity}: 

android.view.InflateException: Binary XML file line #2: Error inflating class fragment 
    at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:1651) 
    at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:1667) 
    at android.app.ActivityThread.access$1500(ActivityThread.java:117) 
    at android.app.ActivityThread$H.handleMessage(ActivityThread.java:935) 
    at android.os.Handler.dispatchMessage(Handler.java:99) 
    at android.os.Looper.loop(Looper.java:123) 
    at android.app.ActivityThread.main(ActivityThread.java:3687) 
    at java.lang.reflect.Method.invokeNative(Native Method) 
    at java.lang.reflect.Method.invoke(Method.java:507) 
    at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:842) 
    at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:600) 
    at dalvik.system.NativeStart.main(Native Method) 
Caused by: android.view.InflateException: Binary XML file line #2: Error inflating class fragment 
    at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:581) 
    at android.view.LayoutInflater.inflate(LayoutInflater.java:386) 
    at android.view.LayoutInflater.inflate(LayoutInflater.java:320) 
    at android.view.LayoutInflater.inflate(LayoutInflater.java:276) 
    at com.android.internal.policy.impl.PhoneWindow.setContentView(PhoneWindow.java:209) 
    at android.app.Activity.setContentView(Activity.java:1657) 
    at it.mappe.MainActivity.onCreate(MainActivity.java:12) 
    at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1047) 
    at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:1615) 
    ... 11 more 
Caused by: java.lang.ClassNotFoundException: android.view.fragment in loader dalvik.system.PathClassLoader[/data/app/it.mappe-2.apk] 
    at dalvik.system.PathClassLoader.findClass(PathClassLoader.java:240) 
    at java.lang.ClassLoader.loadClass(ClassLoader.java:551) 
    at java.lang.ClassLoader.loadClass(ClassLoader.java:511) 
    at android.view.LayoutInflater.createView(LayoutInflater.java:471) 
    at android.view.LayoutInflater.onCreateView(LayoutInflater.java:549) 
    at com.android.internal.policy.impl.PhoneLayoutInflater.onCreateView(PhoneLayoutInflater.java:66) 
    at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:568) 
    ... 19 more 

einige Vorschläge?

EDIT

hier meine main.xml:

<fragment xmlns:android="http://schemas.android.com/apk/res/android" 
    android:id="@+id/map" 
    android:layout_width="match_parent" 
    android:layout_height="match_parent" 
    class="com.google.android.gms.maps.SupportMapFragment"/> 
+0

Bitte posten Sie den eigentlichen Inhalt von 'main.xml' – CommonsWare

+0

Sie können es sehen, unter EDIT :) – antedesk

+0

waren Sie in der Lage, google map v2 in Android Emulator zu laufen? – Sripaul

Antwort

14

<fragment> sollte in Kleinbuchstaben sein.

Sie verwenden auch Activity (nicht FragmentActivity) mit SupportMapFragment, und ich bezweifle, dass Kombination funktioniert.

+0

Sorry-Code-Funktion von Stackoverflow nicht funktioniert goog mit XML-Tags, es ist Kleinbuchstaben innerhalb des Codes: antedesk

+0

@antedesk: Siehe Aktualisierung. – CommonsWare

+0

Oh Gott, hast du recht !!!!! danke CommonsWare! – antedesk

1

Überprüfen Sie, ob die Google SDK-Zielversion in den project.properties und die Versionen der support lib (Android.jar) identisch sind.

Verwandte Themen